variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}


variable "org_id" {
  type        = string
  description = "Organisation Id"
}

variable "project_id" {
  type        = string
  description = "Project Id"
}

variable "name" {
  type        = string
  description = "Application name"
}

variable "redirect_uris" {
  type = list(string)
}

variable "post_logout_redirect_uris" {
  type = list(string)
  default = []
}

variable "auth_method_type" {
  type    = string
  default = "OIDC_AUTH_METHOD_TYPE_NONE"
}

variable "id_token_role_assertion" {
  type        = bool
  default     = false
  description = "If selected, the requested roles of the authenticated user are added to the ID token."
}

variable "id_token_userinfo_assertion" {
  type        = bool
  default     = false
  description = "Enables clients to retrieve profile, email, phone and address claims from ID token."
}
